- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::detail::FutureBarrierPrivate< T > Class Template Reference

`#include <futurebarrier.hpp>`

## Public Member Functions
| FutureBarrierPrivate (FutureCallbackType async=FutureCallbackType_Async)
| FutureBarrier constructor taking no argument. More...
void | onFutureFinish ()
void | cancelAll ()

## Public Attributes
Atomic< bool > | _closed
Atomic< bool > | _set
Atomic< int > | _count
std::vector< Future< T > > | _futures
Promise< std::vector< Future < T > > > | _promise

## Detailed Description

### template<typename T>
class qi::detail::FutureBarrierPrivate< T >

Definition at line 17 of file futurebarrier.hpp.

## Constructor & Destructor Documentation

template<typename T >

qi::detail::FutureBarrierPrivate< T >::FutureBarrierPrivate | ( | FutureCallbackType | async = `FutureCallbackType_Async` | ) |
| inline

FutureBarrier constructor taking no argument.

Definition at line 20 of file futurebarrier.hpp.

## Member Function Documentation

template<typename T >

void qi::detail::FutureBarrierPrivate< T >::cancelAll | ( |  | ) |
| inline

Definition at line 34 of file futurebarrier.hpp.

template<typename T >

void qi::detail::FutureBarrierPrivate< T >::onFutureFinish | ( |  | ) |
| inline

Definition at line 27 of file futurebarrier.hpp.

## Member Data Documentation

template<typename T >

Atomic<bool> qi::detail::FutureBarrierPrivate< T >::_closed

Definition at line 42 of file futurebarrier.hpp.

template<typename T >

Atomic<int> qi::detail::FutureBarrierPrivate< T >::_count

Definition at line 44 of file futurebarrier.hpp.

template<typename T >

std::vector< Future<T> > qi::detail::FutureBarrierPrivate< T >::_futures

Definition at line 45 of file futurebarrier.hpp.

template<typename T >

Promise< std::vector< Future<T> > > qi::detail::FutureBarrierPrivate< T >::_promise

Definition at line 46 of file futurebarrier.hpp.

template<typename T >

Atomic<bool> qi::detail::FutureBarrierPrivate< T >::_set

Definition at line 43 of file futurebarrier.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/futurebarrier.hpp